Bug 19959 - gtop segfaults
Summary: gtop segfaults
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gtop   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-28 17:49 UTC by majoun
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-30 16:19:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description majoun 2000-10-28 17:49:07 UTC
gtop produces a segfault on startup.  I have gtop-1.0.9-4, libgtop-1.0.9-2
and kernel-2.2.16-22 on i686.

Here's a stack trace:

Program received signal SIGSEGV, Segmentation fault.
0x805283f in procview_type_set ()
(gdb) backtrace
#0  0x805283f in procview_type_set ()
#1  0x805268c in procview_new ()
#2  0x805f53b in gtop_procview_new ()
#3  0x805fb52 in gtop_page_get_type ()
#4  0x4009ac24 in gnome_mdi_child_create_view () from
/usr/lib/libgnomeui.so.32
#5  0x4009aa1d in gnome_mdi_child_add_view () from
/usr/lib/libgnomeui.so.32
#6  0x4009887c in gnome_mdi_add_view () from /usr/lib/libgnomeui.so.32
#7  0x804f914 in gtop_mdi_start ()
#8  0x804f034 in main ()
#9  0x4045ea2c in __libc_start_main (main=0x804ecb0 <main>, argc=1, 
    ubp_av=0xbffff984, init=0x804d534 <_init>, fini=0x8063b5c <_fini>, 
    rtld_fini=0x4000d3c8 <_dl_fini>, stack_end=0xbffff97c)
    at ../sysdeps/generic/libc-start.c:111

Comment 1 Elliot Lee 2001-01-23 00:35:22 UTC
It appears to work now.


Note You need to log in before you can comment on or make changes to this bug.